/*
 * Cueplot: a GUI front end to gnuplot
 * Copyright (C) 2007 Muneyuki Noguchi
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation, 
 * Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#include "MainWindow.h"

#include <QApplication>
#include <QDir>
#include <QLocale>
#include <QTranslator>

int main(int argc, char *argv[])
{
	QCoreApplication::setOrganizationName("SourceForge");
	QCoreApplication::setOrganizationDomain("cueplot.sourceforge.jp");
	QCoreApplication::setApplicationName("Cueplot");

	QApplication app(argc, argv);

	QTranslator translator;
	translator.load(QCoreApplication::applicationName().toLower() + "_" 
			+ QLocale::system().name(),
			QCoreApplication::applicationDirPath());
	app.installTranslator(&translator);

	MainWindow mainWindow;
	mainWindow.show();

	return app.exec();
}
